PS4 Public WebKit exploit

Discussion in 'PS4 - Hacking & Homebrew' started by adrian226, Mar 1, 2018.

  1. adrian226
    OP

    adrian226 GBAtemp Regular

    Member
    4
    Nov 25, 2017
    Poland
    Hello,
    today i bought ps4 pro but unfortunately its on 4.70ofw :(.I want to ask whats the diffrences between "Public WebKit exploit" and "Fully exploited in public" ?
    If i update my console to 5.01 (Public WebKit exploit) what i can do with it on 5.01 - i will be able to install pkg backup games and play them ?
     
  2. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    The exploit we have for 5.x is now public (everyone can try it) however its missing kernel, which means its a great entry point, but nothing can be used on it yet.

    Hang on to your console on 4.7x for now just incase. No rush to update if you want hax :)
     
    adrian226 and peteruk like this.
  3. adrian226
    OP

    adrian226 GBAtemp Regular

    Member
    4
    Nov 25, 2017
    Poland
    Thanks for answer. In Poland there is 0% chance to get ps4pro with lower software and
    buying console outside my country, delivery ccosts as much as the console.
     
    KiiWii likes this.
  4. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    But you are in a decent position: 5.x hax is definitely on the cards, its just a waiting game my friend.
     
    peteruk and adrian226 like this.
  5. 5.01 will be the next in line for kernel exploit, don’t go higher then that for now.
     
    peteruk and KiiWii like this.
  6. thekarter104

    thekarter104 GBAtemp Advanced Maniac

    Member
    8
    Mar 28, 2013
    United States
    Noezzz, I'm on 5.03.
     
  7. LokiV

    LokiV Newbie

    I am too, is this going to make us unable to use 5.01 exploit? I read that keys were only changed in 5.05, so is there a different problem?
     
  8. MostlyUnharmful

    MostlyUnharmful GBAtemp Fan

    Member
    6
    Feb 8, 2018
    Italy
    It's not a question of keys in this case, exploits (noun plural) exploit (verb) software defects, minor firmware revisions tend to fix software defects.
     
  9. TheGreek Boy

    TheGreek Boy GBAtemp Maniac

    Member
    7
    Jan 9, 2016
    Greece
    Behind you.
    i think qwertyoruiop have a bpf kernel bug on 5.0x
     
  10. thekarter104

    thekarter104 GBAtemp Advanced Maniac

    Member
    8
    Mar 28, 2013
    United States
    Only if the Kernel Exploit is fixed on 5.03. Keys is something different used for.
    Atleast the web exploit works up to 5.05.
     
  11. LokiV

    LokiV Newbie

    Ok, it just seems that nobody really mentions 5.03, so I thought maybe it got forgotten somewhere in the middle.
     
  12. thekarter104

    thekarter104 GBAtemp Advanced Maniac

    Member
    8
    Mar 28, 2013
    United States
    It's probably because qwerty is on 5.01 so far.
    Idk what happened to the guy with the 5.xx Rest Mode exploit.
     
    Last edited by thekarter104, Mar 1, 2018
  13. salvatore

    salvatore GBAtemp Regular

    Member
    4
    Nov 7, 2013
    Italy
    i'm on 4.07 , stay on this fw or i upgrade to 4.55?
    thanks
     
  14. TheGreek Boy

    TheGreek Boy GBAtemp Maniac

    Member
    7
    Jan 9, 2016
    Greece
    Behind you.
  15. thekarter104

    thekarter104 GBAtemp Advanced Maniac

    Member
    8
    Mar 28, 2013
    United States
    Stay until it's 100% known if 4.55 is safe to be on.
     
  16. MostlyUnharmful

    MostlyUnharmful GBAtemp Fan

    Member
    6
    Feb 8, 2018
    Italy
    He reached his endgame, he started working with Oracle security team.
     
    Last edited by MostlyUnharmful, Mar 1, 2018
  17. salvatore

    salvatore GBAtemp Regular

    Member
    4
    Nov 7, 2013
    Italy
    then 4.55 is not full hacked?
     
  18. TheGreek Boy

    TheGreek Boy GBAtemp Maniac

    Member
    7
    Jan 9, 2016
    Greece
    Behind you.
    4.55 is full hacked;)
     
  19. thekarter104

    thekarter104 GBAtemp Advanced Maniac

    Member
    8
    Mar 28, 2013
    United States
    Holy, this is awesome!
    I assume what he means by "Hopefully they will patch it soon", so he can release it!
    Because if he releases it too early, it will be 100% patched on 5.50, assuming hoping his exploit will still work on 5.50.
     
  20. MostlyUnharmful

    MostlyUnharmful GBAtemp Fan

    Member
    6
    Feb 8, 2018
    Italy
    It's safe to upgrade to 4.55, after 24h it's nearly supported as 4.05 and in your case there are no reasons not to. Double check the PUP file tho. ^__~
     
Quick Reply
Draft saved Draft deleted
Loading...